Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2011074 - Empty emoji picker with gtk3 3.24.30
Summary: Empty emoji picker with gtk3 3.24.30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-05 22:00 UTC by Yura
Modified: 2021-10-12 23:44 UTC (History)
5 users (show)

Fixed In Version: evolution-3.40.4-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 23:44:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Video with widget and text inside (deleted)
2021-10-05 22:00 UTC, Yura
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME evolution issues 1646 0 None None None 2021-10-06 07:38:08 UTC

Description Yura 2021-10-05 22:00:28 UTC
Created attachment 1829634 [details]
Video with widget and text inside

Description of problem:
Emoji widget from "Compose Message" window contains just non clickable text with emojis groups but no emojis at all

Version-Release number of selected component (if applicable):
evolution.x86_64 3.40.4-1.fc34

How reproducible:
Always

Steps to Reproduce:
1. open evolution
2. press new button to open "Compose Message" window
3. click insert emoji button (from tools, don't be confused with menu)
4. try to select some emoji

Actual results:
Only emoji groups inside if you will try to filter emoji this text will disappear

Expected results:
Widget that contain emojis should be appeared and allow emoji selection

Additional info:
Video with bug in attachments.

Comment 1 Milan Crha 2021-10-06 07:38:08 UTC
Thanks for a bug report. This had been fixed recently upstream [1]. A workaround is to downgrade gtk3 to 3.24.29 [2].

I'll backport the upstream fix.

[1] https://gitlab.gnome.org/GNOME/evolution/-/issues/1646
[2] https://koji.fedoraproject.org/koji/buildinfo?buildID=1739667

Comment 2 Fedora Update System 2021-10-06 08:48:14 UTC
FEDORA-2021-fce2665a95 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fce2665a95

Comment 3 Fedora Update System 2021-10-06 17:14:26 UTC
FEDORA-2021-fce2665a95 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fce2665a95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fce2665a95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Yura 2021-10-11 08:11:40 UTC
Thank you it works fine now

Comment 5 Milan Crha 2021-10-11 08:46:12 UTC
Okay, just do not close the bug. It'll be auto-closed once the above update reaches stable repository, thus all users will get the changes.

Comment 6 Yura 2021-10-11 09:10:25 UTC
(In reply to Milan Crha from comment #5)
> Okay, just do not close the bug. It'll be auto-closed once the above update
> reaches stable repository, thus all users will get the changes.

oops ok, sorry, it's good to know for future

Comment 7 Fedora Update System 2021-10-12 23:44:09 UTC
FEDORA-2021-fce2665a95 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.